# Manage API Overview

URL: https://pieowl.com/docs/api/manage



Authentication [#authentication]

The Manage API requires a **root** client. A root client has access to every site in your team and can manage all of their resources. See the [Authentication](/docs/api/authentication) guide.

Base URL [#base-url]

```
https://api.pieowl.com/manage
```

Example [#example]

```bash
curl 'https://api.pieowl.com/manage/projects' \
  -H 'pieowl-client-id: YOUR_ROOT_CLIENT_ID' \
  -H 'pieowl-client-secret: YOUR_ROOT_CLIENT_SECRET'
```

Resources [#resources]

| Resource                                      | What you can do                                                |
| --------------------------------------------- | -------------------------------------------------------------- |
| [Sites (projects)](/docs/api/manage/projects) | Create, update and delete sites                                |
| [Clients](/docs/api/manage/clients)           | Manage API clients (`read`, `write`, `root`) and their secrets |
| [References](/docs/api/manage/references)     | Mark important dates on your charts                            |

You can also list a site's dashboards with `GET /manage/projects/{projectId}/dashboards`, and the reports on a dashboard with `GET /manage/projects/{projectId}/dashboards/{dashboardId}/reports`.

Rate limiting [#rate-limiting]

20 requests per 10 seconds per client.

For full endpoint schemas, see the [API Reference](/docs/api-reference).
